Package org.eclipse.emf.cdo.common.util

# Interface BlockingCloseableIterator<T>

All Superinterfaces:
  `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.collection.CloseableIterator<T>`, `Iterator<T>`

All Known Subinterfaces:
  `InternalQueryResult`

All Known Implementing Classes:
  `AbstractQueryIterator`, `AbstractQueryResult`, `CDOQueryQueue.BlockingCloseableIteratorImpl`

public interface BlockingCloseableIterator<T> extends org.eclipse.net4j.util.collection.CloseableIterator<T>
A closeable iterator that blocks on `Iterator.hasNext()` until the next element is available or the end of the iteration is reached.

Since:
  2.0
Author:
  Simon McDuff

## Method Summary

Modifier and Type
Method
Description
`T`
`peek()`
Non-blocking call.

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

## Method Details

### peek

T peek()
Non-blocking call.